Skip to main content
POST
Supply provider-required attributes for a person

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Path Parameters

applicationId
string<uuid>
required
personId
string<uuid>
required

Body

application/json
gender
enum<string>

Gender. Written only when the person has none recorded.

Available options:
male,
female,
other
occupationCode
string

US Standard Occupational Classification code, 6 digits with any dashes removed. Written only when the person has none recorded.

Example:

"111011"

Response

dateOfBirth
string<date>
required
Example:

"1985-06-15"

emailAddress
string<email>
required
firstName
string
required
id
string<uuid>
required
lastName
string
required
nationality
string
required

ISO 3166-1 alpha-2 country code

phoneNumber
string
required
residentialAddress
object
required
role
enum<string>
required
Available options:
director,
shareholder,
director_and_shareholder,
signing_officer
title
string
required
bvn
string

Bank Verification Number (Nigeria).

gender
enum<string>

Gender. Required by the KYC of some payment providers; supply it when this person is the beneficial owner of a business collecting USD.

Available options:
male,
female,
other
middleName
string
nationalId
string
occupationCode
string

US Standard Occupational Classification code, 6 digits with any dashes removed (e.g. "111011"). Required for USD collection when this person is the beneficial owner.

Example:

"111011"

ownershipPercentage
number
Required range: 0 <= x <= 100